import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

// Alert Dialog

class AlertDialog1 extends StatelessWidget {
  BuildContext context;
  String title;
  String content;
  String action1;
  String action2;
  Function function1;
  Function function2;
  Color boxColor;
  Color txtColor;
  Color btnTxtColor;
  double radius;
  bool div;
  int txtAlign;
  MainAxisAlignment align;

  AlertDialog1(
      {this.context,
        this.title : 'Title',
        this.content : 'Content',
        this.action1 : 'Yes',
        this.action2 : 'No',
        this.function1,
        this.function2,
        this.boxColor : Colors.white,
        this.txtColor,
        this.btnTxtColor,
        this.radius : 1.0,
        this.div : true,
        this.txtAlign : 1});

  @override
  Widget build(BuildContext context) {
    // TODO: implement build

    if (txtAlign == 2)
      align = MainAxisAlignment.center;
    else if (txtAlign == 3)
      align = MainAxisAlignment.end;
    else
      align = MainAxisAlignment.start;

    return Scaffold(
      backgroundColor: Colors.transparent,
      body: Padding(
        padding: const EdgeInsets.all(8.0),
        child: Center(
          child: Container(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                Container(
                  width: MediaQuery.of(context).size.width * 0.70,
                  padding: EdgeInsets.all(20.0),
                  decoration: new BoxDecoration(
                      borderRadius:
                      new BorderRadius.all(Radius.circular(radius)),
                      shape: BoxShape.rectangle,
                      color: boxColor),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      Row(
                        mainAxisAlignment: align,
                        children: <Widget>[
                          Padding(
                            padding: const EdgeInsets.all(8.0),
                            child: Text(
                              title,
                              style: TextStyle(fontSize: 20.0, color: txtColor),
                              maxLines: 4,
                            ),
                          ),
                        ],
                      ),
                      Row(
                        mainAxisAlignment: align,
                        children: <Widget>[
                          Padding(
                            padding: const EdgeInsets.all(8.0),
                            child: Text(content,
                                style:
                                TextStyle(fontSize: 14.0, color: txtColor)),
                          ),
                        ],
                      ),
                      Padding(padding: EdgeInsets.all(15.0)),
                      Visibility(
                        child: Row(children: <Widget>[
                          Expanded(
                            child: new Container(
                                margin: const EdgeInsets.only(
                                    left: 10.0, right: 20.0),
                                child: Divider(
                                  color: Colors.grey,
                                  height: 1,
                                )),
                          ),
                        ]),
                        visible: div,
                      ),
                      Padding(padding: EdgeInsets.all(7.0)),
                      Center(
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.end,
                          children: <Widget>[
                            GestureDetector(
                              onTap: () {
                                function1();
                              },
                              child: new Text(
                                action1,
                                style: TextStyle(
                                    fontSize: 14.0, color: btnTxtColor),
                              ),
                            ),
                            Padding(padding: EdgeInsets.only(right: 20.0)),
                            GestureDetector(
                              onTap: () {
                                function2();
                              },
                              child: new Text(
                                action2,
                                style: TextStyle(
                                    fontSize: 14.0, color: btnTxtColor),
                              ),
                            ),
                            Padding(padding: EdgeInsets.only(right: 20.0)),
                          ],
                        ),
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
